@file:OptIn(InternalResourceApi::class)

package world.respect.shared.generated.resources

import kotlin.OptIn
import kotlin.String
import kotlin.collections.MutableMap
import org.jetbrains.compose.resources.DrawableResource
import org.jetbrains.compose.resources.InternalResourceApi
import org.jetbrains.compose.resources.ResourceItem

private const val MD: String = "composeResources/world.respect.shared.generated.resources/"

public val Res.drawable.compose_multiplatform: DrawableResource by lazy {
      DrawableResource("drawable:compose_multiplatform", setOf(
        ResourceItem(setOf(), "${MD}drawable/compose-multiplatform.xml", -1, -1),
      ))
    }

public val Res.drawable.copycode: DrawableResource by lazy {
      DrawableResource("drawable:copycode", setOf(
        ResourceItem(setOf(), "${MD}drawable/copycode.png", -1, -1),
      ))
    }

public val Res.drawable.empty: DrawableResource by lazy {
      DrawableResource("drawable:empty", setOf(
        ResourceItem(setOf(), "${MD}drawable/empty.png", -1, -1),
      ))
    }

public val Res.drawable.fingerprint: DrawableResource by lazy {
      DrawableResource("drawable:fingerprint", setOf(
        ResourceItem(setOf(), "${MD}drawable/fingerprint.png", -1, -1),
      ))
    }

public val Res.drawable.undraw_qr_code_scan_bewe: DrawableResource by lazy {
      DrawableResource("drawable:undraw_qr_code_scan_bewe", setOf(
        ResourceItem(setOf(), "${MD}drawable/undraw_qr_code_scan_bewe.xml", -1, -1),
      ))
    }

public val Res.drawable.undraw_sync_pe2t_1: DrawableResource by lazy {
      DrawableResource("drawable:undraw_sync_pe2t_1", setOf(
        ResourceItem(setOf(), "${MD}drawable/undraw_sync_pe2t_1.xml", -1, -1),
      ))
    }

@InternalResourceApi
internal fun _collectCommonMainDrawable0Resources(map: MutableMap<String, DrawableResource>) {
  map.put("compose_multiplatform", Res.drawable.compose_multiplatform)
  map.put("copycode", Res.drawable.copycode)
  map.put("empty", Res.drawable.empty)
  map.put("fingerprint", Res.drawable.fingerprint)
  map.put("undraw_qr_code_scan_bewe", Res.drawable.undraw_qr_code_scan_bewe)
  map.put("undraw_sync_pe2t_1", Res.drawable.undraw_sync_pe2t_1)
}
